---
updatedAt: 2025-06-17T22:10:04.000Z
agentTools:
  projectIndex: https://developer.druva.com/llms.txt
---

# List all upload logs jobs

Returns all upload logs jobs for Windows/Linux servers

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0",
    "title": "Enterprise Workloads GovCloud"
  },
  "x-explorer-enabled": true,
  "paths": {
    "/fileserver/v1/orgs/{OrgID}/reports/jobs/uploadlogs": {
      "get": {
        "description": "Returns all upload logs jobs for Windows/Linux servers",
        "tags": [
          "File Server"
        ],
        "summary": "List all upload logs jobs",
        "operationId": "FSGetUploadLogJobReportRequest",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "description": "Specify the organization ID of your organization. Set it to \"0\" to select all organizations. Get the ID of an organization using the 'List all organizations' API.",
            "name": "OrgID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "x-go-name": "ServerName",
            "description": "Specify the name of the Windows/Linux server. Specify multiple server names by separating them with commas. Get the name of all servers using the 'List all Windows/Linux Servers' API.",
            "name": "serverName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "x-go-name": "Status",
            "description": "Specify the status of the job. This parameter can be set to one or more of the following values: Queued, Running, Successful, Successful with errors and Failed. Specify multiple status values by separating them with commas.",
            "name": "status",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "x-go-name": "StartTime",
            "description": "Specify the date and time to filter jobs that were run during the specified timestamp. Specify the date and time in UTC format (YYYY-MM-DDTHH:MM:SSZ). The timestamp must be within six months from the current date. For example, if the current date is 2020-10-02, you can specify any date between 2020-04-03 to 2020-10-02.",
            "name": "fromTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "x-go-name": "EndTime",
            "description": "Specify the date and time to filter jobs that were run until the specified timestamp. Specify the date and time in UTC format. The format is YYYY-MM-DDTHH:MM:SSZ.",
            "name": "toTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "x-go-name": "SortOrder",
            "description": "Sort the API results by the scheduled time of the job, either in ascending or descending order. Set the sortOrder value to ASC or DESC. The default value is ASC.",
            "name": "sortOrder",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "x-go-name": "PageToken",
            "description": "Specify the token to access the next page of results. Keep this field blank in the first request. Use the token value received in the previous response's parameter 'nextPageToken'.",
            "name": "pageToken",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FSGetUploadLogJobReportResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "The request did not include an authentication token or the authentication token was expired."
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "The requested resource was not found."
          },
          "500": {
            "description": "The request was not processed due to an internal error in Cloud.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceError"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "//govapis.druva.com/phoenix"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "ServiceError": {
        "description": "Service Error",
        "type": "object",
        "title": "ServiceError represents an error with an associated error code.",
        "properties": {
          "code": {
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code",
            "description": "Error Code"
          },
          "message": {
            "type": "string",
            "description": "Application specific error message"
          }
        },
        "x-go-package": "vendor/druva.com/godevkit/errortype"
      },
      "FSGetUploadLogJobReportResponse": {
        "description": "GetUploadLogJobReportResponse is the response schema for GetUploadLogJobReport",
        "type": "object",
        "properties": {
          "jobs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FSGetUploadLogJobsReport"
            },
            "x-go-name": "Jobs"
          },
          "nextPageToken": {
            "description": "The token to access the next page of results. This parameter will be empty for the last page of results.",
            "type": "string",
            "x-go-name": "OutToken"
          }
        },
        "x-go-name": "GetUploadLogJobReportResponse",
        "x-go-package": "phoenix/fileserver/cloud/report/spec/jobs"
      },
      "FSGetUploadLogJobsReport": {
        "description": "GetUploadLogJobsReport struct holds the response for GetUploadLogJobsReport api",
        "type": "object",
        "properties": {
          "jobID": {
            "description": "A unique identification number associated with the job.",
            "type": "integer",
            "format": "int32"
          },
          "executionDetails": {
            "$ref": "#/components/schemas/FSUploadLogExecDetailsStruct"
          },
          "jobType": {
            "description": "Type of the job.",
            "type": "string",
            "enum": [
              "Backup",
              "Restore",
              "Log Request"
            ],
            "x-go-name": "JobType"
          },
          "organizationName": {
            "description": "The name of the organization.",
            "type": "string",
            "x-go-name": "OrgName"
          },
          "serverName": {
            "description": "Name of the Windows/Linux server on which the backup was initiated.",
            "type": "string",
            "x-go-name": "SourceDeviceName"
          }
        },
        "x-go-name": "GetUploadLogJobsReport",
        "x-go-package": "phoenix/fileserver/cloud/report/spec/jobs"
      },
      "FSUploadLogExecDetailsStruct": {
        "type": "object",
        "title": "UploadLogExecDetailsStruct : Execution details of the job.",
        "properties": {
          "endTime": {
            "description": "The time when the job completes. The time is specified in the UTC timezone. The format is YYYY-MM-DDTHH:MM:SSZ.",
            "type": "string",
            "x-go-name": "EndTime"
          },
          "errorCode": {
            "description": "Specifies the error code for the failed jobs. The possible values are:\n\\\"0\\\": If the job is successful\n<error_number>: If the job has failed",
            "type": "string",
            "x-go-name": "ErrorCode"
          },
          "errorMessage": {
            "description": "Specifies the error message for the failed jobs. This field is empty if the job is successful.",
            "type": "string",
            "x-go-name": "ErrorMsg"
          },
          "logsExpiryTime": {
            "description": "Expiry time of the uploaded logs. The time is specified in the UTC timezone. The format is YYYY-MM-DDTHH:MM:SSZ.",
            "type": "string",
            "x-go-name": "LogsExpiryTime"
          },
          "logsSize": {
            "description": "Specifies the size of the extracted log files.",
            "type": "string",
            "x-go-name": "LogsSize"
          },
          "logsSizeInBytes": {
            "description": "Specifies the size of the extracted log files in bytes.",
            "type": "integer",
            "format": "uint64",
            "x-go-name": "LogsSizeInBytes"
          },
          "scheduleTime": {
            "description": "The date and time when the job starts or is scheduled to start. The time is specified in UTC in the format YYYY-MM-DDTHH:MM:SSZ.",
            "type": "string",
            "x-go-name": "ScheduleTime"
          },
          "sourceJobID": {
            "description": "The ID of the job for which logs are being requested.",
            "type": "integer",
            "format": "int32",
            "x-go-name": "SourceJobID"
          },
          "sourceJobType": {
            "description": "The job type for which logs are being requested.",
            "type": "string",
            "x-go-name": "SourceJobLogType"
          },
          "startTime": {
            "description": "The time when the job starts. The time is specified in the UTC timezone. The format is YYYY-MM-DDTHH:MM:SSZ.",
            "type": "string",
            "x-go-name": "StartTime"
          },
          "status": {
            "description": "Status of the job.",
            "type": "string",
            "enum": [
              "Queued",
              "Running",
              "Successful",
              "Successful with errors",
              "Failed"
            ],
            "x-go-name": "Status"
          }
        },
        "x-go-name": "UploadLogExecDetailsStruct",
        "x-go-package": "phoenix/fileserver/cloud/report/spec/jobs"
      }
    }
  }
}
```